package com.unesa.trabalho.model;

import java.io.Serializable;

/***
 * @Trabalho de Pos-Graduao - Programao Orientado a Objetos 
 * 
 * 
 * @Prof DenisCople
 * 
 * 
 * @Grupo: Daniel Dias , Heraldo Cardoso , Marcos Jose e Rafael
 * 
 * @Classe Produto utilizando o padro Java Bean \ POJO
 * 
 * 
 */

public class Produto implements Serializable {

	private int idProduto;
	private String nomeProduto;
	private String descricao;
	private double preco;

	// Construtor Padro
	public Produto() {

	}

	// Construtr com Parametros
	public Produto(int idProduto, String nomeProduto, String descricao,
			double preco) {
		this.idProduto = idProduto;
		this.nomeProduto = nomeProduto;
		this.descricao = descricao;
		this.preco = preco;
	}

	// GETTS e SETTS

	public int getIdProduto() {
		return idProduto;
	}

	public void setIdProduto(int idProduto) {
		this.idProduto = idProduto;
	}

	public String getNomeProduto() {
		return nomeProduto;
	}

	public void setNomeProduto(String nomeProduto) {
		this.nomeProduto = nomeProduto;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public double getPreco() {
		return preco;
	}

	public void setPreco(double preco) {
		this.preco = preco;
	}

}
