package com.unesa.trabalho.view;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.Socket;

import javax.swing.JButton;
import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Color;

import javax.swing.ImageIcon;

public class PrincipalTela extends JFrame {

	private JPanel contentPane;
	private JDesktopPane desktopPane;
	private JPanel panel;
	private JLabel lblConexaoCliente;
	private JButton btnServer;
	private JButton btnDesServer;
	private JButton btnConsultaClientes;
	private JButton btnIncluirClientes;
	private JButton btnIncluirProdutos;
	private Socket s1;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PrincipalTela frame = new PrincipalTela();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public PrincipalTela() {
		setTitle("Pandera Studios");
		setExtendedState(Frame.MAXIMIZED_BOTH);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);

		desktopPane = new JDesktopPane();
		desktopPane.setForeground(Color.RED);
		desktopPane.setBackground(new Color(255, 255, 255));
		contentPane.add(desktopPane, BorderLayout.CENTER);

		panel = new JPanel();
		panel.setBounds(488, 201, 379, 213);
		desktopPane.add(panel);
		panel.setLayout(null);

		lblConexaoCliente = new JLabel("CONEXAO CLIENTE");
		lblConexaoCliente.setFont(new Font("SansSerif", Font.BOLD, 12));
		lblConexaoCliente.setAlignmentX(0.5f);
		lblConexaoCliente.setBounds(224, 6, 182, 28);
		panel.add(lblConexaoCliente);

		btnServer = new JButton("Conectar Servidor");
		btnServer.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				//Aoes acontencem aqui

				btnServer.setEnabled(false);

				try {
					s1 = new Socket("localhost", 5050);
					lblConexaoCliente.setText("Cliente Conectado!!");
					btnDesServer.setEnabled(true);
					btnConsultaClientes.setEnabled(true);
					btnIncluirClientes.setEnabled(true);
					btnIncluirProdutos.setEnabled(true);

				} catch (Exception e1) {
					lblConexaoCliente.setText("Sem Conexao");
					btnServer.setEnabled(true);
				}
			}
		});
		btnServer.setFont(new Font("SansSerif", Font.BOLD, 12));
		btnServer.setBounds(28, 66, 151, 28);
		panel.add(btnServer);

		btnDesServer = new JButton("Desconectar");
		btnDesServer.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				btnDesServer.setEnabled(false);

				//Aoes acontencem aqui
				try {

					s1.close();
					lblConexaoCliente.setText("Cliente Desconectado!!");
					btnServer.setEnabled(true);
					btnConsultaClientes.setEnabled(false);
					btnIncluirClientes.setEnabled(false);
					btnIncluirProdutos.setEnabled(false);

				} catch (Exception e1) {
				}
			}
		});
		btnDesServer.setFont(new Font("SansSerif", Font.BOLD, 12));
		btnDesServer.setEnabled(false);
		btnDesServer.setAlignmentY(1.0f);
		btnDesServer.setAlignmentX(1.0f);
		btnDesServer.setBounds(224, 66, 115, 28);
		panel.add(btnDesServer);

		btnConsultaClientes = new JButton("Consulta Clientes");
		btnConsultaClientes.setEnabled(false);
		btnConsultaClientes.setBounds(134, 106, 140, 28);
		panel.add(btnConsultaClientes);

		btnIncluirClientes = new JButton("Incluir Clientes");
		btnIncluirClientes.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				//Aoes acontencem aqui
				
				JInternalFrame frame = new JInternalFrame("Incluir Clientes",
						true, true, true, true);
				IncluirCliente panel = new IncluirCliente();
				frame.getContentPane().add(panel, BorderLayout.CENTER);
				frame.pack();
				desktopPane.add(frame);
				frame.setVisible(true);
			}
		});
		btnIncluirClientes.setEnabled(false);
		btnIncluirClientes.setBounds(35, 155, 110, 28);
		panel.add(btnIncluirClientes);

		btnIncluirProdutos = new JButton("Incluir Produtos");
		btnIncluirProdutos.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				
				JInternalFrame frame = new JInternalFrame("Incluir Produtos",
						true, true, true, true);
				IncluirProduto panel = new IncluirProduto();
				frame.getContentPane().add(panel, BorderLayout.CENTER);
				frame.pack();
				desktopPane.add(frame);
				frame.setVisible(true);
			}
		});
		btnIncluirProdutos.setEnabled(false);
		btnIncluirProdutos.setBounds(167, 155, 130, 28);
		panel.add(btnIncluirProdutos);
	}
}
