package com.unesa.trabalho.model;

import java.io.Serializable;

/**
 @Trabalho de Pos-Graduao - Programao Orientado a Objetos 
 * 
 * 
 * @Prof DenisCople
 * 
 * 
 * @Grupo: Daniel Dias , Heraldo Cardoso , Marcos Jose e Rafael
 * 
 * @Classe Cliente utilizando o padro Java Bean \ POJO
 */

public class Cliente implements Serializable {

	// Atributos
	private int idCliente;
	private String nome;
	private String sobreNome;
	private String endereco;
	private String cidade;
	private String estado;
	private String telefone;
	private String email;

	// Construtor padro

	public Cliente() {

	}

	// Contrutor com Paramentros
	public Cliente(int idCliente, String nome, String sobreNome,
			String endereco, String cidade, String estado, String telefone,
			String email) {

		this.idCliente = idCliente;
		this.nome = nome;
		this.sobreNome = sobreNome;
		this.endereco = endereco;
		this.cidade = cidade;
		this.estado = estado;
		this.telefone = telefone;
		this.email = email;

	}

	// GETS e SETS

	public int getIdCliente() {
		return idCliente;
	}

	public void setIdCliente(int idCliente) {
		this.idCliente = idCliente;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getSobreNome() {
		return sobreNome;
	}

	public void setSobreNome(String sobreNome) {
		this.sobreNome = sobreNome;
	}

	public String getEndereco() {
		return endereco;
	}

	public void setEndereco(String endereco) {
		this.endereco = endereco;
	}

	public String getCidade() {
		return cidade;
	}

	public void setCidade(String cidade) {
		this.cidade = cidade;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstadio(String estado) {
		this.estado = estado;
	}

	public String getTelefone() {
		return telefone;
	}

	public void setTelefone(String telefone) {
		this.telefone = telefone;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

}
