package com.unesa.trabalho.view;

import java.awt.Component;
import java.awt.EventQueue;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.Socket;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

public class PrincipalTelaOld extends JFrame {

	private JPanel contentPane;
	private JLabel lblConexaoCliente;
	private JButton btnServer;
	private JButton btnDesServer;
	private Socket s1;
	private JButton btnConsultaClientes;
	private JButton btnIncluirClientes;
	private JButton btnIncluirProdutos;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		
		
		
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PrincipalTelaOld frame = new PrincipalTelaOld();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public PrincipalTelaOld() {
		setResizable(false);
		
		
		
		
		setTitle("Pandera Studios");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 401, 300);
		contentPane = new JPanel();
		contentPane.setAlignmentY(Component.BOTTOM_ALIGNMENT);
		contentPane.setAlignmentX(Component.RIGHT_ALIGNMENT);
		contentPane.setBorder(new EmptyBorder(9, 9, 9, 9));
		setContentPane(contentPane);
		
		btnDesServer = new JButton("Desconectar");
		btnDesServer.setFont(new Font("SansSerif", Font.BOLD, 12));
		btnDesServer.setBounds(205, 60, 115, 28);
		btnDesServer.setAlignmentY(Component.BOTTOM_ALIGNMENT);
		btnDesServer.setAlignmentX(Component.RIGHT_ALIGNMENT);
		btnDesServer.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				btnDesServer.setEnabled(false);
				
				try{
					
					s1.close();
					lblConexaoCliente.setText("Cliente Desconectado!!");
					btnServer.setEnabled(true);
					btnConsultaClientes.setEnabled(false);
					btnIncluirClientes.setEnabled(false);
					btnIncluirProdutos.setEnabled(false);
					
				}catch(Exception e1){}
			}
		});
		contentPane.setLayout(null);
		
		lblConexaoCliente = new JLabel("CONEXAO CLIENTE");
		lblConexaoCliente.setFont(new Font("SansSerif", Font.BOLD, 12));
		lblConexaoCliente.setBounds(190, 6, 182, 28);
		lblConexaoCliente.setAlignmentX(Component.CENTER_ALIGNMENT);
		contentPane.add(lblConexaoCliente);
		
		btnServer = new JButton("Conectar Servidor");
		btnServer.setFont(new Font("SansSerif", Font.BOLD, 12));
		btnServer.setBounds(42, 60, 151, 28);
		btnServer.addActionListener(new ActionListener() {
			
			public void actionPerformed(ActionEvent e) {
				btnServer.setEnabled(false);
				
				
				try{
					s1 = new Socket("localhost",5050);
					lblConexaoCliente.setText("Cliente Conectado!!");
					btnDesServer.setEnabled(true);
					btnConsultaClientes.setEnabled(true);
					btnIncluirClientes.setEnabled(true);
					btnIncluirProdutos.setEnabled(true);
				
					
				}catch(Exception e1){lblConexaoCliente.setText("Sem Conexao");}
				
			}
			
			
			
		});
		contentPane.add(btnServer);
		btnDesServer.setEnabled(false);
		contentPane.add(btnDesServer);
		
		btnConsultaClientes = new JButton("Consulta Clientes");
		btnConsultaClientes.setEnabled(false);
		btnConsultaClientes.setBounds(117, 100, 140, 28);
		contentPane.add(btnConsultaClientes);
		
		btnIncluirClientes = new JButton("Incluir Clientes");
		btnIncluirClientes.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				IncluirClientesOld tela = new IncluirClientesOld();
				tela.setVisible(true);
			}
		});
		btnIncluirClientes.setEnabled(false);
		btnIncluirClientes.setBounds(22, 154, 110, 28);
		contentPane.add(btnIncluirClientes);
		
		btnIncluirProdutos = new JButton("Incluir Produtos");
		btnIncluirProdutos.setEnabled(false);
		btnIncluirProdutos.setBounds(190, 154, 130, 28);
		contentPane.add(btnIncluirProdutos);
	}
}
